package com.cm.websocket.pojo.vos.message;

import com.cm.common.annotation.CheckListAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: NoticeMessageVO
 * @Description: 通知消息
 * @Author: wanggeng
 * @Date: 2021/1/19 5:04 下午
 * @Version: 1.0
 */
@ApiModel
public class NoticeDeleteServiceVO {

    @ApiModelProperty(name = "serviceIds", value = "业务ID列表")
    @CheckListAnnotation(name = "业务ID列表")
    private List<String> serviceIds;

    public List<String> getServiceIds() {
        return serviceIds;
    }

    public void setServiceIds(List<String> serviceIds) {
        this.serviceIds = serviceIds;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"serviceIds\":")
                .append(serviceIds);
        sb.append('}');
        return sb.toString();
    }
}
